What iOS versions does the XRay framework support?

The Xray framework supports iOS 5.0 and up.

I can't find my device & app pair in Xray Probe/Editor

Make sure you use the same wireless network with your Mac and the device running your app. Also check if you imported and started up properly the XRay Framework for iOS 

Animations got slow when I am running my app on the device

When connected to XRay Probe/Editor the XRay Framework monitors continuously the interface elements of your application and synchronises the changes. This of course requires resources which are more scarce on the device.
You can stop the continuous monitoring by simply putting the automatic interface updates on hold (shortcut: ⌘-E) or by turning off the automatic connection for your app & device pair.

I have another question that isn't covered here

 Send an email with your question and I'll answer as best as I can. Also I'll extend this section as new questions pop up.